<?php
/**
 * Menu Options
 */

// Menu Options section.
$wp_customize->add_section(
	'adore_news_menu_options',
	array(
		'title' => esc_html__( 'Menu Options', 'adore-news' ),
		'panel' => 'nav_menus',
	)
);

// Enable Topbar Social Menu Options.
$wp_customize->add_setting(
	'adore_news_enable_topbar_social_menu',
	array(
		'default'           => true,
		'sanitize_callback' => 'adore_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Adore_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'adore_news_enable_topbar_social_menu',
		array(
			'label'    => esc_html__( 'Enable Topbar Social Menu.', 'adore-news' ),
			'settings' => 'adore_news_enable_topbar_social_menu',
			'section'  => 'adore_news_menu_options',
			'type'     => 'checkbox',
		)
	)
);

// Menu Section Horizontal Line.
$wp_customize->add_setting(
	'adore_news_banner_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Adore_News_Customize_Horizontal_Line(
		$wp_customize,
		'adore_news_banner_horizontal_line',
		array(
			'settings' => 'adore_news_banner_horizontal_line',
			'section'  => 'adore_news_menu_options',
			'type'     => 'hr',
		)
	)
);

// Menu Section Advertisement Image.
$wp_customize->add_setting(
	'adore_news_advertisement_image',
	array(
		'default'           => '',
		'sanitize_callback' => 'adore_news_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'adore_news_advertisement_image',
		array(
			'label'    => esc_html__( 'Advertisement Image', 'adore-news' ),
			'settings' => 'adore_news_advertisement_image',
			'section'  => 'adore_news_menu_options',
		)
	)
);

// Menu Section Advertisement Url.
$wp_customize->add_setting(
	'adore_news_advertisement_url',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'adore_news_advertisement_url',
	array(
		'label'    => esc_html__( 'Button Url', 'adore-news' ),
		'settings' => 'adore_news_advertisement_url',
		'section'  => 'adore_news_menu_options',
		'type'     => 'url',
	)
);
